Uploaded image for project: 'Qt for Python'
  1. Qt for Python
  2. PYSIDE-1831

macOS: pyside6-designer does not work for PySide6 >= 6.1.1 with pyenv

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P3: Somewhat important
    • Resolution: Duplicate
    • Affects Version/s: 6.1.1, 6.1.2, 6.1.3, 6.2.0, 6.2.1, 6.2.2
    • Fix Version/s: None
    • Component/s: PySide, Tooling
    • Labels:
      None
    • Environment:
      Python 3.9.7, MacOS Catalina, 10.15.7
    • Platform/s:
      macOS

      Description

      ❯ pyside6-designer Error: dyld: could not load inserted library 'libpython3.9.dylib' because image not found while executing '/Users/TestUser/Desktop/GUI/env/lib/python3.9/site-packages/PySide6/Designer.app/Contents/MacOS/Designer'
      

      Following error appears when I tried launching Qt Designer using "pyside6-designer" from terminal. The problem exists only for PySide6 >= 6.1.1.

      I have been following this guide: https://doc.qt.io/qtforpython/quickstart.html

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              crmaurei Cristian Maureira-Fredes
              Reporter:
              alanpawlak Alan Pawlak
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes